<div class="class">
  <h1>Animais:</h1>
  <ul>
    <li *ngFor="let animal of animals">
      Nome: <a routerLink="/list/{{ animal.id }}">{{ animal.name }}</a> - tipo:
      {{ animal.type }}
      <button (click)="showAge(animal)">Show Age</button>
      <button (click)="removeAnimal(animal)">Excluir</button>
    </li>
  </ul>
  <h3>{{ animalDetails }}</h3>
</div>